Feedback Print

Enabling Amazon RDS PostgreSQL 6.4 or above

In Scriptcase, we have the following drivers available for connection to PostgreSQL: PostgreSQL PDO, PostgreSQL 7 or above, PostgreSQL 6.4 or above and PostgreSQL 6.3 or below. If you are using your own pre-configured environment, PostgreSQL extensions must be enabled manually in PHP.

Configuring and enabling Amazon RDS PostgreSQL 6.4 or above on Windows

IMPORTANT: If you are using Scriptcase’s automatic installer, the extensions are already enabled in PHP, ready for connection. The procedure below is only for manual installations of Scriptcase.

1 - In the php.ini file, located in C:\php, look for lines referring to PostgreSQL extensions: pgsql and pdo_pgsql and remove the ; from the beginning of the lines for the extension to be used by PHP. See the example below:

extension=pgsql
extension=pdo_pgsql

Enabling PostgreSQL extensions

2 - Restart the Apache service using the Task Manager.

  • Open the Task Manager and click on the Services tab.

  • Look for the ApacheScriptcase9php73 or Apache2.4 service and right click on this service, then Restart.

Restarting Apache

Connection to Scriptcase

Questions or Connection Problems?

Contact our support in case of connection problems or questions regarding this database.